%getting runoff data into shape

%massage runoff_segment_* files
 cd funct
  !./ru_seg_2asc.sh
 cd ..

%get runoff file
 load ../outdata/runoff.asc %seg number; year; month; transport

%some ini
 tmp = zeros(length(runoff),3)+NaN;

%read segment info
 fid = fopen('../rawdata/segment_info.dat','r');
 n=0; name = [];     
 while 1
  str = fgetl(fid);
  if ~ischar(str), break, end
  n=n+1;
  if n<32
   nr(n)     = str2num(str(1:2));
   lat(n)    = str2num(str(4:5))   + (str2num(str(6:7))   + str2num(str(8:9))./100)./60;
   lon(n)    = str2num(str(12:13)) + (str2num(str(14:15)) + str2num(str(16:17))./100)./60;
   tra(n)    = str2num(str(19:24));
   sen(n)    = str2num(str(26:29));
   name      = cellstr([name deblank(str(30:end))]);
  end
  disp(str)
 end
 fclose(fid);

 for i=1:length(sen)
  I=find(runoff(:,1)==sen(i));
  tmp(I,1) = lon(i);
  tmp(I,2) = lat(i);
  tmp(I,3) = tra(i);
  tmp(I,4) = i; %name index
 end

%out together the final runoff matrix
info = '1.lon 2.lat 3.yr 4.month 5.transport 6.meantransport 7.nameindex'  
 runoff = [tmp(:,1:2) runoff(:,2:4) tmp(:,3:4)];

%save original runoff
 save ../outdata/runoff_org.mat runoff info name

%control plot
 !rm ../ps/runoff.ps
 i=0;
 for k=1:7
  figure;
   for n=1:5;
    i = i+1;
    I=find(runoff(:,7)==i);
    yl = [min(runoff(I,5)) max(runoff(I,5))];
    if length(yl)<2 | diff(yl)<1; yl = [0 500]; end
    subplot(5,1,n); set(gca,'nextplot','add','box','on', ...
                          'tickdir','out','xgrid','on',  ...
                          'ygrid','on','linewidth',1.25, ...
                          'ylim',yl)
   tmp = runoff(I,5); inod = find(tmp==0); ida = find(tmp~=0);
   if length(inod>0); runoff(I(inod),5) = mean(runoff(I(ida),5)); end 
   plot(runoff(I,3)+runoff(I,4)./12,runoff(I,5),'k','linewidth',1.5)
   if length(inod>0); plot(runoff(I(inod),3)+runoff(I(inod),4)./12,runoff(I(inod),5),'r--','linewidth',2); end
   xlabel('Time'); ylabel('Transport [m^3/s]'); 
   %title([num2str(mean(runoff(I,1))) setstr(176) 'E, ' num2str(mean(runoff(I,2))) setstr(176) 'N, '])
   title(name(i))
   if i==31; 
   break; end
  end
  orient tall
  print -dpsc ../ps/runoff.ps -append 
 end

%save runoff where missing data is replaced by the mean
 save ../outdata/runoff.mat runoff info name



